org.apache.ignite.internal.processors.cache.persistence.wal

## Class ByteBufferExpander

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.ByteBufferExpander

    public class ByteBufferExpander
    extends Object

ByteBuffer wrapper for dynamically expand buffer size.

### Constructor Summary

Constructors
Constructor and Description
`ByteBufferExpander(int initSize, ByteOrder order)`

### Method Summary

Methods
`ByteBuffer` `buffer()` Current byte buffer.
`ByteBuffer` `expand(int size)` Expands current byte buffer to the requested size.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBufferExpander

    public ByteBufferExpander(int initSize,
                      ByteOrder order)

### Method Detail

#### buffer

    public ByteBuffer buffer()

Current byte buffer.

Returns:
  Current byteBuffer.

#### expand

    public ByteBuffer expand(int size)

Expands current byte buffer to the requested size.

Returns:
  ByteBuffer with requested size.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017